<!-- Title -->
<h1 align="center">
  ClimateMARGO.jl
</h1>

<!-- description -->
<p align="center">
  <strong> A Julia implementation of <b>MARGO</b>, an idealized framework for optimization of climate change control strategies.</strong>
</p>

<!-- Information badges -->
<p align="center">
  <a href="https://mit-license.org">
    <img alt="MIT license" src="https://img.shields.io/badge/License-MIT-blue.svg?style=flat-square">
  </a>
  <a href="https://github.com/ClimateMARGO/ClimateMARGO.jl/issues/new">
    <img alt="Ask us anything" src="https://img.shields.io/badge/Ask%20us-anything-1abc9c.svg?style=flat-square">
  </a>
  <a href="https://ClimateMARGO.github.io/ClimateMARGO.jl/dev/">
    <img alt="Documentation in development" src="https://img.shields.io/badge/docs-latest-blue.svg?style=flat-square">
  </a>
  <a href="https://travis-ci.com/ClimateMARGO/ClimateMARGO.jl">
    <img alt="Build status" src="https://travis-ci.com/ClimateMARGO/ClimateMARGO.jl.svg?branch=main">
  </a>
  <a href="https://mybinder.org/v2/gh/ClimateMARGO/ClimateWidgets/main?urlpath=pluto/open?path=MARGO_optimization_dashboard.jl">
    <img alt="Binder logo" src="https://mybinder.org/badge_logo.svg">
  </a>

</p>

<!-- CI/CD badges -->

The MARGO model is described in full in an accompanying manuscript (not yet peer-reviewed, and currently being revised), available to all at [EarthArXiv.org/repository/view/214](https://eartharxiv.org/repository/view/214/).

Try out the MARGO model by running a [prototype web-app](https://github.com/ClimateMARGO/ClimateWidgets) directly in your browser. You don't need to download anything – just click the [![Binder](https://mybinder.org/badge_logo.svg)](https://mybinder.org/v2/gh/ClimateMARGO/ClimateWidgets/main?urlpath=pluto/open?path=MARGO_optimization_dashboard.jl) button and, once the tutorial loads, click on the code cells and press ``Enter`` to run them).

ClimateMARGO.jl is currently in alpha testing and basic model documentation is slowly being added. Substantial structural changes will take place before the first stable release v1.0.0. Anyone interested in helping develop the model post an Issue here or contact the lead developer Henri Drake directly (henrifdrake `at` gmail.com), until explicit guidelines for contributing to the model are posted at a later date.


----
<small>README.md formatting inspired by [Oceananigans.jl](https://github.com/CliMA/Oceananigans.jl)</small>
